Package: geb.download

## [Groovy] Class UninitializedDownloadSupport

- geb.download.UninitializedDownloadSupport

- All Implemented Interfaces and Traits:
    DownloadSupport

      class UninitializedDownloadSupport
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and description
    `UninitializedDownloadSupport (Initializable initializable)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `HttpURLConnection` | `download(Map options = [:])`
    `` | `HttpURLConnection` | `download(String uri)`
    `` | `byte[]` | `downloadBytes(Map options = [:], Closure connectionConfig = null)`
    `` | `byte[]` | `downloadBytes(Closure connectionConfig)`
    `` | `byte[]` | `downloadBytes(String uri, Closure connectionConfig = null)`
    `` | `Object` | `downloadContent(Map options = [:], Closure connectionConfig = null)`
    `` | `Object` | `downloadContent(String uri, Closure connectionConfig = null)`
    `` | `Object` | `downloadContent(Closure connectionConfig)`
    `` | `InputStream` | `downloadStream(Map options = [:], Closure connectionConfig = null)`
    `` | `InputStream` | `downloadStream(String uri, Closure connectionConfig = null)`
    `` | `InputStream` | `downloadStream(Closure connectionConfig)`
    `` | `String` | `downloadText(Map options = [:], Closure connectionConfig = null)`
    `` | `String` | `downloadText(String uri, Closure connectionConfig = null)`
    `` | `String` | `downloadText(Closure connectionConfig)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### UninitializedDownloadSupport(Initializable initializable)

  - ### Method Detail

    - #### @Override HttpURLConnection download(Map options = [:])

    - #### @Override HttpURLConnection download(String uri)

    - #### @Override byte[] downloadBytes(Map options = [:], Closure connectionConfig = null)

    - #### @Override byte[] downloadBytes(Closure connectionConfig)

    - #### @Override byte[] downloadBytes(String uri, Closure connectionConfig = null)

    - #### @Override Object downloadContent(Map options = [:], Closure connectionConfig = null)

    - #### @Override Object downloadContent(String uri, Closure connectionConfig = null)

    - #### @Override Object downloadContent(Closure connectionConfig)

    - #### @Override InputStream downloadStream(Map options = [:], Closure connectionConfig = null)

    - #### @Override InputStream downloadStream(String uri, Closure connectionConfig = null)

    - #### @Override InputStream downloadStream(Closure connectionConfig)

    - #### @Override String downloadText(Map options = [:], Closure connectionConfig = null)

    - #### @Override String downloadText(String uri, Closure connectionConfig = null)

    - #### @Override String downloadText(Closure connectionConfig)